Skip to main content
PATCH
Update a webhook

Authorizations

Authorization
string
header
required

Organization key (alk_…) created under Settings; acts for the whole organization

Path Parameters

webhookId
string
required

Webhook id

Body

application/json
url
string
Required string length: 8 - 2048
description
string | null
Maximum string length: 200
event_types
enum<string>[]
Maximum array length: 20
Available options:
message.received,
message.quarantined,
message.sent,
message.delivered,
message.delivery_delayed,
message.bounced,
message.complained,
message.failed,
message.approval_requested,
message.approved,
message.rejected,
thread.updated,
inbox.created,
inbox.deleted,
domain.verified,
sms.received,
sms.quarantined,
sms.sent,
sms.delivered,
sms.failed,
social.account_connected,
social.account_disconnected,
social.post_published,
social.post_failed,
social.message_received,
social.comment_received
inbox_id
string | null
Minimum string length: 1
status
enum<string>
Available options:
active,
paused

Response

Endpoint

webhook
object
required